<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.Models.Products.FreeNetwork>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Free Network
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<h2>Free Network</h2>

<h3>Product Specification</h3>

<table style="margin-top:10px">

<tr>
  <th>&nbsp;</th>
  <th>Free Network</th>
</tr>

<tr class="row-a">
  <td>Half-Year Price</td>  
  <td><%=Html.Encode(((Model.NetworkType.Price * 5)).ToString("C", new System.Globalization.CultureInfo("en-US")))%></td>
</tr>

<tr class="row-b">
  <td>Annual Price</td>  
  <td>
    <%=Html.Encode(((Model.NetworkType.Price * 9)).ToString("C", new System.Globalization.CultureInfo("en-US")))%></td>
</tr>

<tr class="row-a">
  <td>Users</td>  
   <td><%=Html.Encode(Model.NetworkType.Users)%></td>
</tr>

<tr class="row-b">
  <td>Projects</td>  
  <td><%=Html.Encode(Model.NetworkType.Projects)%></td>
</tr>

<tr class="row-a">
  <td>Tickets</td>  
  <td><%=Html.Encode(Model.NetworkType.Tickets)%></td>
</tr>

<tr class="row-b">
  <td>Comments</td>  
  <td><%=Html.Encode(Model.NetworkType.Comments)%></td>
</tr>

<tr class="row-a">
  <td>Disk Space</td>  
  <td><%=Html.Encode(Model.NetworkType.FilesLength_kB/1024)%> MB</td>
</tr>

</table>
<br />
Remote/Email Support: $30.00 per hour

<h3>Create Your Free Network</h3>

<%= Html.ValidationSummary("Submit was unsuccessful. Please correct the errors and try again.") %>

<% using (Html.BeginForm())
   {%>

<p>

Your Email: <%=Html.TextBox("YourEmail", Model.YourEmail)%>
<input type="submit" value="Create" />

</p>

<% } %>

</asp:Content>
