﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.ReportFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Resources.egTracker.Reports %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>
    <%=Resources.egTracker.Reports %>
    <% if (Model.SelectedReport != null)
       { %>
       <%=string.Format(" - {0}",Model.SelectedReport.Name) %>
    <%} %>
    </h2>

    <div>
    <% foreach (egTracker.Business.Reports.Report r in Model.ReportsPack.GetReports())
       { %>

       <%=Html.ActionLink(r.Name, "Get", new { id = r.ReportId })%>
       &nbsp;

    <% } %>    
    </div>

    <% if (Model.SelectedReport != null)
       {
         egTracker.Business.Reports.InterfaceReport r = Model.SelectedReport;
         r.Generate();
         %>

    <% if (!string.IsNullOrEmpty(Model.SelectedReport.TopParagraph))
       { %>
    <div>
    <p><%=Model.SelectedReport.TopParagraph %></p>
    </div>

    <% } %>

    <div style="margin-top:25px;">
    <table>
      <tr>
        <% foreach (egTracker.Business.Reports.Header h in r.Headers)
           { %>        
        <th>
        <%if (r.OrderByEnabled)
          { %>
          <%=r.OrderBy.CreateActionLinkForColumn(h.Title,h.ColumnName) %>
        <% }
          else
          { %>
        <%=h.Title%>
        <% } %>
        </th>        
        <% } %>
      </tr>

      <% for (int row = 0; row < r.RowsCount; row++ )
         { %>
          <tr>
            <% for (int col = 0; col < r.ColumnsCount; col++)
               { %>
               <td><%=r.CellGet(col,row) %></td>
            <% } %>
          </tr>
      <% } %>
    </table>
    </div>

    <%} %>

</asp:Content>
